Get comment
GET
https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}/comments/{comment-id}
Path Parameters
- topic-board-idstringrequiredExampleDescription
- topic-idstringrequiredExampleDescription
- comment-idstringrequiredExampleDescription
Query Parameters
- includeAuthorizationbooleanDescription
Responses
200
- comment
- guidstringExampleDescription
- datestringExampleDescription
- authorstringExampleDescription
- commentstringExampleDescription
- topic_guidstringExampleDescription
- modified_datestringExampleDescription
- modified_authorstringExampleDescription
- viewpoint_guidstringExampleDescription
- authorizationobjectDescription
- comment_actionsobject[]Example
[ "update", "delete" ]
Description
curl
curl --request GET \
--url https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}/comments/{comment-id} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}/comments/{comment-id}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}/comments/{comment-id}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}/comments/{comment-id}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"guid": "b53a16c8-9ce7-4289-8b27-375e8810d360",
"date": "2024-05-08T14:29:08.000+0000",
"author": "[email protected]",
"comment": "Comment text",
"topic_guid": "18d0273d-e15c-4924-97b3-6f47b233eebe",
"modified_date": "2024-05-08T15:29:08.000+0000",
"modified_author": "[email protected]",
"viewpoint_guid": "e765db1f-d705-4d6e-955c-28bf1a897818",
"authorization": {
"comment_actions": [
{}
]
}
}